Bug 594735 - QMP: Internal JSON extension is open to clients
QMP: Internal JSON extension is open to clients
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
All Linux
low Severity medium
: rc
: 7.0
Assigned To: Luiz Capitulino
Virtualization Bugs
:
Depends On:
Blocks: 559201 580953
  Show dependency treegraph
 
Reported: 2010-05-21 09:18 EDT by Luiz Capitulino
Modified: 2012-05-16 16:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-16 16:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luiz Capitulino 2010-05-21 09:18:06 EDT
Description of problem:

QEMU has an internal JSON extension which allows us to write JSON code without the need of additional backslash characters.

However, this extension is available to QMP clients as well, but it shouldn't.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.60.el6

How reproducible:


Steps to Reproduce:
1. Open a QMP connection, eg.

# qemu-kvm [...] -qmp tcp:localhost:4444,server

2. Connect via telnet and issue the following command (note the single quotes):

{ 'execute': 'qmp_capabilities' }


Actual results:

Command works.

Expected results:

An error should be returned, as this is an internal JSON extension.

Additional info:
Comment 1 RHEL Product and Program Management 2010-05-21 09:36:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Luiz Capitulino 2010-06-17 14:47:43 EDT
The issue here is that, we don't want clients to rely on an extension which is non-standard and could be removed later.

However, as QMP is going to be declared tech-preview, this is quite a minor issue and maybe should be fixed only in rhel6.1.

Moving to tier3.
Comment 3 RHEL Product and Program Management 2010-07-15 10:01:23 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Luiz Capitulino 2010-11-10 11:45:01 EST
Not very important, I don't plan to fix this in 6.1.
Comment 7 Luiz Capitulino 2011-05-27 13:01:17 EDT
This doesn't have any impact on our stack, moving to RHEL7.0.
Comment 8 Luiz Capitulino 2012-05-16 16:00:32 EDT
I don't think this will be changed upstream, but in any case this is not an actual bug and it doesn't affect RHEL in any way, will just close as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.